package _VisualDVM.TestingSystem.DVM.json;
import _VisualDVM.TestingSystem.DVM.DVMTasks.DVMCompilationTask;
import com.google.gson.annotations.Expose;
public class CompilationTask_json extends Task_json {
    @Expose
    public String test_name; //-
    @Expose
    public String makefile_text; //res.add(arg.toString().replace("\n", "|")); //4 todo в планировщике убрать шифровку
    //--
    public CompilationTask_json(DVMCompilationTask task, String makefile_text_in){
        super(task);
        test_name = String.valueOf(task.test_id);
        makefile_text = makefile_text_in;
    }
}
